logo
InboxTag conversations
Inbox

Tag conversations

Apply an AI tag to one or more conversations. Use either explicit conversationIds or selectAll: true with optional filters/excludeIds.

curl -X POST "https://api.sendkit.ai/v1/inbox/tag" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "conversationIds": [
    "664a1b2c3d4e5f6a7b8c9d0e",
    "664a1b2c3d4e5f6a7b8c9d0f"
  ],
  "tag": "interested"
}'
{
  "success": true,
  "data": {
    "modified": 5
  }
}
POST
/v1/inbox/tag
POST
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Body

application/json
datastring
Required

Raw application/json data

Responses

successboolean
dataobject